Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(69)

Issue 2883403002: Remove usage of SequencedWorkerPool::GetNamedSequenceToken from content::CreateFileSystemContext. (Closed)

Created:
1 year, 10 months ago by fdoray
Modified:
1 year, 8 months ago
Reviewers:
tzik
CC:
chromium-reviews, jam, darin-cc_chromium.org, kinuko+fileapi, nhiroki, tzik
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove usage of SequencedWorkerPool::GetNamedSequenceToken from content::CreateFileSystemContext. SequencedWorkerPool is being deprecated in favor of TaskScheduler. BUG=667892 Review-Url: https://codereview.chromium.org/2883403002 Cr-Commit-Position: refs/heads/master@{#474638} Committed: https://chromium.googlesource.com/chromium/src/+/bb731a6137ac921a8aa465613acab752b16f4666

Patch Set 1 #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+5 lines, -8 lines) Patch
M content/browser/fileapi/browser_file_system_helper.cc View 3 chunks +5 lines, -8 lines 1 comment Download

Messages

Total messages: 15 (8 generated)
fdoray
Please take a look. https://codereview.chromium.org/2883403002/diff/1/content/browser/fileapi/browser_file_system_helper.cc File content/browser/fileapi/browser_file_system_helper.cc (left): https://codereview.chromium.org/2883403002/diff/1/content/browser/fileapi/browser_file_system_helper.cc#oldcode69 content/browser/fileapi/browser_file_system_helper.cc:69: pool->GetNamedSequenceToken("FileAPI"), Mutual exclusion is guaranteed ...
1 year, 10 months ago (2017-05-17 14:38:49 UTC) #6
fdoray
On 2017/05/17 14:38:49, fdoray wrote: > Please take a look. > > https://codereview.chromium.org/2883403002/diff/1/content/browser/fileapi/browser_file_system_helper.cc > File ...
1 year, 10 months ago (2017-05-19 20:07:08 UTC) #7
tzik
lgtm
1 year, 9 months ago (2017-05-25 07:51:51 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2883403002/1
1 year, 9 months ago (2017-05-25 12:11:42 UTC) #10
commit-bot: I haz the power
Committed patchset #1 (id:1) as https://chromium.googlesource.com/chromium/src/+/bb731a6137ac921a8aa465613acab752b16f4666
1 year, 9 months ago (2017-05-25 13:44:14 UTC) #13
Marijn Kruisselbrink
This CL seems to have introduced data races, as before all FileSystemContexts shared the same ...
1 year, 8 months ago (2017-07-05 21:11:40 UTC) #14
Marijn Kruisselbrink
1 year, 8 months ago (2017-07-05 21:15:02 UTC) #15
Message was sent while issue was closed.
A revert of this CL (patchset #1 id:1) has been created in
https://codereview.chromium.org/2969293003/ by mek@chromium.org.

The reason for reverting is: Seems to cause data races, since different
FileSystemContexts are no longer sharing the same sequence..

Powered by Google App Engine
This is Rietveld 408576698